Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.commons
Class SoftNamedResources

    java.lang.Object
      org.makumba.commons.NamedResources
          org.makumba.commons.SoftNamedResources

All Implemented Interfaces:
  Serializable

    public class SoftNamedResources

extends NamedResources

A NamedResources that keeps its resources as soft references

See Also:
  `NamedResources`, Serialized Form

Field Summary

Fields inherited from class org.makumba.commons.NamedResources
`allCaches, f, hits, misses, name, soft_static_caches, staticCaches, values`

Constructor Summary
`SoftNamedResources(String name, NamedResourceFactory f)`

Method Summary
`(package private) void` | `cleanCleared()` remove the residue data structures which were used to refer the resources that were cleared by the garbage collector
`String` | `getName()`
`protected NameValue` | `getNameValue(Object name, Object hash)`
`int` | `size()`

Methods inherited from class org.makumba.commons.NamedResources
`cleanCaches, cleanStaticCache, cleanStaticCache, cleanup, close, getCacheInfo, getResource, getStaticCache, getSupplementary, knowResource, makeStaticCache, makeStaticCache`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftNamedResources

    public SoftNamedResources(String name,
                              NamedResourceFactory f)

Method Detail

### getNameValue

    protected NameValue getNameValue(Object name,
                                     Object hash)

  Overrides:
    `getNameValue` in class `NamedResources`

### getName

    public String getName()

  Overrides:
    `getName` in class `NamedResources`

### cleanCleared

    void cleanCleared()

  remove the residue data structures which were used to refer the resources that were cleared by the garbage collector

### size

    public int size()

  Overrides:
    `size` in class `NamedResources`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20